Bug 1260038 - Review Request: python-XStatic-mdi - mdi (XStatic packaging standard)
Review Request: python-XStatic-mdi - mdi (XStatic packaging standard)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 05:44 EDT by Javier Peña
Modified: 2015-10-05 14:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.70.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 13:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2015-09-04 05:44:22 EDT
Spec URL: https://jpena.fedorapeople.org/python-XStatic-mdi/python-XStatic-mdi.spec
SRPM URL: https://jpena.fedorapeople.org/python-XStatic-mdi/python-XStatic-mdi-1.1.70.1-1.fc24.src.rpm
Description: mdi javascript library packaged for setuptools (easy_install) / pip.
Fedora Account System Username: jpena

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=10953231
Comment 1 Javier Peña 2015-09-04 07:26:08 EDT
I have updated the spec. Now it adds another subpkg, mdi-common, with the fonts and CSS content. Both the python2 and python3 subpackages depend on it.

SPEC: https://jpena.fedorapeople.org/python-XStatic-mdi/python-XStatic-mdi.spec
SRPM: https://jpena.fedorapeople.org/python-XStatic-mdi/python-XStatic-mdi-1.1.70.1-1.fc24.src.rpm

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=10953734

Still unsure about the "mdi-common" subpkg name, I'm open to suggestions for a better name.
Comment 2 Matthias Runge 2015-09-07 07:41:09 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/mrunge/review/review-python-XStatic-
     mdi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/javascript/mdi
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/fonts,
     /usr/share/javascript/mdi
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -XStatic-mdi , mdi-common , python3-XStatic-mdi
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-XStatic-mdi-1.1.70.1-1.fc24.noarch.rpm
          mdi-common-1.1.70.1-1.fc24.noarch.rpm
          python3-XStatic-mdi-1.1.70.1-1.fc24.noarch.rpm
          python-XStatic-mdi-1.1.70.1-1.fc24.src.rpm
python2-XStatic-mdi.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard)
python2-XStatic-mdi.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python2-XStatic-mdi.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python2-XStatic-mdi.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
mdi-common.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard) common files
mdi-common.noarch: W: no-documentation
python3-XStatic-mdi.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard)
python3-XStatic-mdi.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python3-XStatic-mdi.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-XStatic-mdi.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python-XStatic-mdi.src: W: summary-not-capitalized C mdi (XStatic packaging standard)
python-XStatic-mdi.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python-XStatic-mdi.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python-XStatic-mdi.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
4 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
mdi-common.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard) common files
mdi-common.noarch: W: no-documentation
python2-XStatic-mdi.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard)
python3-XStatic-mdi.noarch: W: summary-not-capitalized C mdi (XStatic packaging standard)
3 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
mdi-common (rpmlib, GLIBC filtered):
    web-assets-filesystem

python2-XStatic-mdi (rpmlib, GLIBC filtered):
    mdi-common
    python(abi)
    python-XStatic

python3-XStatic-mdi (rpmlib, GLIBC filtered):
    mdi-common
    python(abi)
    python3-XStatic



Provides
--------
mdi-common:
    mdi-common

python2-XStatic-mdi:
    python-XStatic-mdi
    python2-XStatic-mdi

python3-XStatic-mdi:
    python3-XStatic-mdi



Source checksums
----------------
https://pypi.python.org/packages/source/X/XStatic-mdi/XStatic-mdi-1.1.70.1.tar.gz :
  CHECKSUM(SHA256) this package     : 39f177ca42baa074a13ce256a24191248c353fbf0754c0dcbf429f34ad0fd903
  CHECKSUM(SHA256) upstream package : 39f177ca42baa074a13ce256a24191248c353fbf0754c0dcbf429f34ad0fd903


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n python-XStatic-mdi
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api



Issues:
- please own %{_jsdir}/mdi/
- please move fonts to a separate fonts package
- /usr/share/fonts is required, please require fontpackages-filesystem
Comment 4 Matthias Runge 2015-09-07 10:07:35 EDT
Thank you, all issues fixed, package approved!
Comment 5 Javier Peña 2015-09-07 10:18:20 EDT
New Package SCM Request
=======================
Package Name: python-XStatic-mdi
Short Description: mdi (XStatic packaging standard)
Upstream URL: http://materialdesignicons.com
Owners: jpena mrunge
Branches: f21 f22 f23 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-07 19:24:30 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-09 04:16:39 EDT
python-XStatic-mdi-1.1.70.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15421
Comment 8 Fedora Update System 2015-09-09 04:20:04 EDT
python-XStatic-mdi-1.1.70.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15422
Comment 9 Fedora Update System 2015-09-09 04:21:49 EDT
python-XStatic-mdi-1.1.70.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8006
Comment 10 Fedora Update System 2015-09-09 19:50:37 EDT
python-XStatic-mdi-1.1.70.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-XStatic-mdi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8006
Comment 11 Fedora Update System 2015-09-09 22:07:38 EDT
python-XStatic-mdi-1.1.70.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-XStatic-mdi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15422
Comment 12 Fedora Update System 2015-09-10 01:51:46 EDT
python-XStatic-mdi-1.1.70.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-XStatic-mdi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15421
Comment 13 Fedora Update System 2015-09-11 13:21:11 EDT
python-XStatic-mdi-1.1.70.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-05 14:15:59 EDT
python-XStatic-mdi-1.1.70.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.